Bug 507883 - can't disable color from cmd line
can't disable color from cmd line
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 11:56 EDT by James Antill
Modified: 2014-01-21 18:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to a logic error in the code, yum ignored the --color=never option on the command line and color=never option in yum.conf. Yum output was therefore always in color, regardless of user preferences. With the error corrected, users can now use yum in monochrome.
Story Points: ---
Clone Of: 506754
Environment:
Last Closed: 2009-09-02 03:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-06-24 11:56:35 EDT
+++ This bug was initially created as a clone of Bug #506754 +++

Description of problem:
I still see color when I use the option "--color=never" or set color=never in yum.conf

Version-Release number of selected component (if applicable):
yum-3.2.23-3.fc10

How reproducible:
always

Steps to Reproduce:
1. $ yum --color=never list 'e2fs*'
  
Actual results:
see colors

Expected results:
no colors

Additional info:
IMHO, no color should be the default.

--- Additional comment from james.antill@redhat.com on 2009-06-18 11:43:38 EDT ---

 Here's the fix:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=86d3ee60e1d067cd3eeb1aff436502e638f66fdd

...you can change the default to no colour by setting "color=never" in your yum.conf.

--- Additional comment from zing@fastmail.fm on 2009-06-18 14:27:18 EDT ---

confirm patch worked. thanks.

i know i can set it in yum.conf and that's what i'll be doing.
Comment 1 James Antill 2009-06-24 11:57:15 EDT
This is a simple fix (move a couple of lines around) and ready to go for snap1.
Comment 8 Ruediger Landmann 2009-09-01 16:49:19 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Due to a logic error in the code, yum ignored the --color=never option on the command line and color=never option in yum.conf. Yum output was therefore always in color, regardless of user preferences. With the error corrected, users can now use yum in monochrome.
Comment 9 errata-xmlrpc 2009-09-02 03:33:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1419.html

Note You need to log in before you can comment on or make changes to this bug.